Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.querydsl
Interface QueryDslPredicateExecutor<T>

    public interface QueryDslPredicateExecutor<T>

Interface to allow execution of QueryDsl `Predicate` instances.

Author:
  Oliver Gierke

Method Summary
`long` | `count(com.mysema.query.types.Predicate predicate)` Returns the number of instances that the given `Predicate` will return.
`Iterable<T>` | `findAll(com.mysema.query.types.Predicate predicate)` Returns all entities matching the given `Predicate`.
`Iterable<T>` | `findAll(com.mysema.query.types.Predicate predicate, com.mysema.query.types.OrderSpecifier<?>... orders)` Returns all entities matching the given `Predicate` applying the given `OrderSpecifier`s.
`Page<T>` | `findAll(com.mysema.query.types.Predicate predicate, Pageable pageable)` Returns a `Page` of entities matching the given `Predicate`.
`T` | `findOne(com.mysema.query.types.Predicate predicate)` Returns a single entity matching the given `Predicate`.

Method Detail

### findOne

    T findOne(com.mysema.query.types.Predicate predicate)

  Returns a single entity matching the given `Predicate`.

  Parameters:
    `spec` -
  Returns:

### findAll

    Iterable<T> findAll(com.mysema.query.types.Predicate predicate)

  Returns all entities matching the given `Predicate`.

  Parameters:
    `spec` -
  Returns:

### findAll

    Iterable<T> findAll(com.mysema.query.types.Predicate predicate,
                        com.mysema.query.types.OrderSpecifier<?>... orders)

  Returns all entities matching the given `Predicate` applying the given `OrderSpecifier`s.

  Parameters:
    `predicate` -
    `orders` -
  Returns:

### findAll

    Page<T> findAll(com.mysema.query.types.Predicate predicate,
                    Pageable pageable)

  Returns a `Page` of entities matching the given `Predicate`.

  Parameters:
    `predicate` -
    `pageable` -
  Returns:

### count

    long count(com.mysema.query.types.Predicate predicate)

  Returns the number of instances that the given `Predicate` will return.

  Parameters:
    `predicate` - the `Predicate` to count instances for
  Returns:
    the number of instances

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring Data Commons
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.